Create Domain
Adds a sending domain and returns the DNS records to add. Add them at your DNS provider, then call Verify Domain. Needs a Full key. A key limited to one domain answers 403. Send an optional Idempotency-Key header to retry safely. See Idempotency.
{ "id": "dom_06d2mfk8r2bq7wz4hs9na", "name": "acme.dev", "mail_from_domain": "send.acme.dev", "status": "pending", "records": [ { "kind": "dkim", "type": "TXT", "name": "inboxjot._domainkey.acme.dev", "value": "v=DKIM1; k=rsa; p=MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA…", "status": "pending" }, { "kind": "return_path", "type": "CNAME", "name": "send.acme.dev", "value": "send-us-east-1.inboxjot-dns.com", "status": "pending" }, { "kind": "dmarc", "type": "TXT", "name": "_dmarc.acme.dev", "value": "\"v=DMARC1; p=none;\"", "status": "pending" } ], "region": "us-east-1", "tls_policy": "optional", "receiving_enabled": false, "receiving_target": "subdomain", "receiving_status": "not_started", "receiving_found_mx": null, "receiving_checked_at": null, "receiving_verified_at": null, "open_tracking": true, "click_tracking": true, "tracking_domain": null, "tracking_status": "not_started", "tracking_records": [], "tracking_verified_at": null, "mailing_address": null, "verified_at": null, "created_at": "2026-10-21T09:00:00.000Z", "updated_at": "2026-10-21T09:00:00.000Z", "sent_last_30_days": 0, "bounced_last_30_days": 0, "is_default": true, "receiving": { "host": "inbound.acme.dev", "mx": "inbound-smtp.us-east-1.amazonaws.com", "shared_address": null }, "warmup": { "enabled": false, "started_on": null, "day": null, "limit": null, "next_limit": null, "sent_today": 0, "full_volume_on": null } }
Created the domain.
Body Parameters
The domain, such as acme.dev. Up to 253 characters with at least two labels.
The sending region, such as us-east-1. Defaults to the default region.
The subdomain for bounces, such as send. Defaults to send.
Response
The domain id.
The domain, such as acme.dev.
The return path domain, such as send.acme.dev.
not_started, pending, verified, failed or temporary_failure.
The DNS records to add at your DNS provider.
The sending region, such as us-east-1.
optional sends over TLS when the receiving server supports it. require sends only over TLS.
Whether the domain receives email.
subdomain receives on inbound. plus the domain. root receives on the domain itself.
The status of the MX record for receiving: not_started, pending, verified, failed or temporary_failure.
The MX record found at the last check.
When the MX record was last checked.
When receiving was verified.
Whether opens are tracked.
Whether clicks are tracked.
The custom tracking domain, if you set one.
The status of the tracking domain: not_started, pending, issuing, verified or failed.
The DNS records for the tracking domain.
When the tracking domain was verified.
The postal address in the footer of marketing email from this domain. Null uses the workspace address.
When the domain was verified.
When it was added.
When it last changed.
Emails sent from the domain in the last 30 days.
Bounces in the last 30 days.
True for the default sending domain of the workspace.
Where the domain receives email.
The warmup of the domain.